Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07427 Crash/Freeze Critical (emulator) Always Sep 18, 2019, 23:33 Sep 19, 2019, 11:43
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver arkanoid.cpp
Version 0.213 Fixed in Version 0.214 Build 64-bit
Summary 07427: arkgcbl, arkgcbla, arkangc2, arkbloc2, arkbloc3, block2, paddle2: Crashing to starting the game
Description Insert a coin, when end initial sequence, the game crashes in all cases

Happen too:
-Next to a choose a level (with level select)
-And happen too when start the level (other cases)
Steps To Reproduce
Additional Information
Flags
Regression Version 0.213
Affected Sets / Systems arkgcbl, arkgcbla, arkangc2, arkbloc2, arkbloc3, block2, paddle2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.16923
Tafoid
Administrator
Sep 19, 2019, 00:30
edited on: Sep 19, 2019, 00:33
https://github.com/mamedev/mame/commit/be6c96ff959a60144f3b7b4b832bb0557ed8268a
This commit appears to be the issue - August 15, 2019

Output from machine: block2
-----------------------------------------------------
Exception at EIP=00000000054a08c0 (ioport_port::read()+0x0010): ACCESS VIOLATION
-----------------------------------------------------
Stack crawl:
  0000000000229000: 00000000054a08c0 (ioport_port::read()+0x0010)
  00000000002291f0: 0000000001990c40 (arkanoid_state::arkanoid_bootleg_d008_r(address_space&, unsigned int, unsigned char)+0x0050)
  0000000000229230: 0000000006c8ee5e (handler_entry_read_delegate<0, 0, 0, device_delegate<unsigned char (address_space&, unsigned int, unsigned char)> >::read(
unsigned int, unsigned char)+0x004e)
  0000000000229260: 0000000006d3895e (handler_entry_read_dispatch<14, 0, 0, 0>::read(unsigned int, unsigned char)+0x001e)
  0000000000229290: 0000000006d8302f (handler_entry_read_dispatch<16, 0, 0, 0>::read(unsigned int, unsigned char)+0x001f)
  00000000002292c0: 0000000006a47ea2 (address_space_specific<0, 0, (endianness_t)0>::read_byte(unsigned int)+0x0022)
  0000000000229320: 0000000005bfe5eb (z80_device::op_3a()+0x00db)
  0000000000229380: 000000000495bd1c (z80_device::execute_run()+0x1ebc)
  0000000000229430: 00000000054f91f3 (device_scheduler::timeslice()+0x0303)
User avatar
No.16927
Robbbert
Developer
Sep 19, 2019, 11:43
That change couldn't possibly have been tested.

Anyway, fixed now.